/*************************************************************
 *                 bbomberman                                *
 *  (c) 2004 by Bernhard Eder (bb-generation)                *
 *  http://bbgen.net/bomberman for updates                   *
 *  Webmaster@bbgen.net for bug reports and other stuff      *
 * --------------------------------------------------------- *
 * This program is free software; you can modify it under    *
 * the terms of the GNU General Public License as published  *
 * by the Free Software Foundation, located in LICENSE       *
 *                                                           *
 *************************************************************/

#include "cl_init.h"

cl_init::cl_init(void)
{
//Init SDL
  char s='n';
  std::cout << "Do you want to use the standard settings? (Y)es (N)o: ";
  std::cin >> s;
  if(std::tolower(s) == 'n')
  {
    std::cout << std::endl << "\tGraphical Settings:" << std::endl;
    std::cout << "Resolution in X:(800) ";
    std::cin >> iX;
    std::cout << "Resolution in Y:(600) ";
    std::cin >> iY;
    std::cout << "Displaywidth:(275) ";
    std::cin >> iDspWidth;
    std::cout << "Color depth [8, 16, 24, 32]:(32) ";
    std::cin >> iBit;
    std::cout << "Fullscreen? (Y)es (N)o:(N) ";
    std::cin >> s;
    if(std::tolower(s) == 'y') fullscreen=1;
    else fullscreen=0;
    std::cout << std::endl << "\tField Settings" << std::endl;
    std::cout << "Rows:(21) ";
    std::cin >> fY;
    std::cout << "Columns:(21) ";
    std::cin >> fX;
  }
  else //standard settings
  {
    iX=800;
    iY=600;
    iDspWidth=275;
    iBit=32;
    fullscreen=0;
    fX=21;
    fY=21;
  }

  std::cout << std::endl << "\tServer Settings:" << std::endl;
  char  _server_kind;
  bool  cont;
  do
  {
    cont = false;

    std::cout << "What kind of server? (local, net, remote) [LNR]: ";
    std::cin >> _server_kind;
    
    switch (_server_kind)
    {
      case 'L':
      case 'l':
        server_kind = BB_INIT_SERVER_LOCAL;
        break;
      case 'N':
      case 'n':
        server_kind = BB_INIT_SERVER_NET;
        break;
      case 'R':
      case 'r':
        server_kind = BB_INIT_SERVER_REMOTE;
        break;
      default:
        cont = true;
        break;
    }
  }
  while (cont);

  if (server_kind == BB_INIT_SERVER_REMOTE)
  {
    std::cout << "Remote server hostname: ";
    std::cin >> server_hostname;
  }

  std::cout << std::endl << "\tPlayer Settings:" << std::endl;
  std::cout << "How many player? ";
  std::cin >> playercount;
  if(playercount>4) playercount=4;
  for(unsigned int i=0;i<playercount;i++)
  {
    std::cout << "Name for Player " << i+1 << ": ";
    std::cin >> names[i];
  }
  
//    iX=800; iY=600; iBit=32;
  std::cout << std::endl;
  //SDL_Init(SDL_INIT_VIDEO);
  SDL_Init(SDL_INIT_VIDEO | SDL_INIT_NOPARACHUTE);
	atexit(SDL_Quit); 
  if(!fullscreen)  screen = SDL_SetVideoMode(iX, iY, iBit, SDL_HWSURFACE | SDL_DOUBLEBUF);
  else screen = SDL_SetVideoMode(iX, iY, iBit, SDL_HWSURFACE | SDL_DOUBLEBUF | SDL_FULLSCREEN);
//TTF
  TTF_Init();
//  cl_images Images;
}
