/*************************************************************
 *                 bbomberman                                *
 *  (c) 2004 by Bernhard Eder (bb-generation)                *
 *  http://bbgen.net/bomberman for updates                   *
 *  Webmaster@bbgen.net for bug reports and other stuff      *
 * --------------------------------------------------------- *
 * This program is free software; you can modify it under    *
 * the terms of the GNU General Public License as published  *
 * by the Free Software Foundation, located in LICENSE       *
 *                                                           *
 *************************************************************/

#include "cl_images.h"
 

cl_images::cl_images(void)
{
  LoadImages();
}

bool cl_images::LoadImages(void)
{
  bomb[0] = IMG_Load("img/bomb1.png");
  bomb[1] = IMG_Load("img/bomb2.png");
  bomberman[0] = IMG_Load("img/bomberman1.png");
  bomberman[1] = IMG_Load("img/bomberman2.png");
  bomberman[2] = IMG_Load("img/bomberman3.png");
  bomberman[3] = IMG_Load("img/bomberman4.png");
  explosion = IMG_Load("img/explosion.png");
  box[0] = IMG_Load("img/box1.png");
  box[1] = IMG_Load("img/box2.png");
  gras = IMG_Load("img/Gras.png");
  powerup[0] = IMG_Load("img/PowerUp1.png");
  powerup[1] = IMG_Load("img/PowerUp2.png");
  
  cross = IMG_Load("img/cross.png");
  texture[0] = IMG_Load("img/brick2.png");
    
  return 1;
}

cl_images::~cl_images(void)
{
  SDL_FreeSurface(bomb[0]);
  SDL_FreeSurface(bomb[1]);
  for(int i=0;i<4;i++) SDL_FreeSurface(bomberman[i]);
  SDL_FreeSurface(explosion);
  SDL_FreeSurface(box[0]);
  SDL_FreeSurface(box[1]);
  SDL_FreeSurface(gras);
  SDL_FreeSurface(powerup[0]);
  SDL_FreeSurface(powerup[1]);
  SDL_FreeSurface(cross);
  SDL_FreeSurface(texture[0]);
  }
